Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Class NexusComment

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusComment

All Implemented Interfaces:
  NexusObject

    public class NexusComment

extends Object
implements NexusObject

Represents a Nexus comment, possibly nested.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Constructor Summary
`NexusComment()`

Method Summary
`void` | `addCommentText(String text)`
`void` | `closeSubComment()`
`Iterator` | `commentIterator()` This iterator iterates over all parts of the comment.
`boolean` | `hasOpenSubComment()`
`void` | `openSubComment()`
`void` | `writeObject(Writer writer)` Writes this object to the given writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NexusComment

    public NexusComment()

Method Detail

### openSubComment

    public void openSubComment()

### hasOpenSubComment

    public boolean hasOpenSubComment()

### closeSubComment

    public void closeSubComment()

### addCommentText

    public void addCommentText(String text)

### commentIterator

    public Iterator commentIterator()

  This iterator iterates over all parts of the comment. Each item returned is either a String or a NexusComment.

  Returns:
    an iterator over the comment components.

### writeObject

    public void writeObject(Writer writer)
                     throws IOException

  Description copied from interface: `NexusObject`
  Writes this object to the given writer.

  Specified by:
    `writeObject` in interface `NexusObject`
  Parameters:
    `writer` - the writer to write to.
  Throws:
    `IOException` - if it could not be written.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD